<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ForgotPasswordMail extends Mailable
{
    use Queueable, SerializesModels;

    public $employee;
    public $newPassword;

    /**
     * Create a new message instance.
     */
    public function __construct($employee, $newPassword)
    {
        $this->employee = $employee;
        $this->newPassword = $newPassword;
    }

    /**
     * Build the message.
     */
    public function build()
    {
        return $this->subject('AutoHub - Password Reset')
                    ->view('emails.forgot-password');
    }
}